<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::meta::MetaUav Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1meta_1_1_meta_uav.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classframework_1_1meta_1_1_meta_uav-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::meta::MetaUav Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Meta class for UAV.  
 <a href="classframework_1_1meta_1_1_meta_uav.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_meta_uav_8h_source.html">MetaUav.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::meta::MetaUav:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1meta_1_1_meta_uav.png" usemap="#framework::meta::MetaUav_map" alt=""/>
  <map id="framework::meta::MetaUav_map" name="framework::meta::MetaUav_map">
<area href="classframework_1_1meta_1_1_uav_chooser.html" title="Class to construct sensors depending on uav type. " alt="framework::meta::UavChooser" shape="rect" coords="0,56,179,80"/>
<area href="classframework_1_1core_1_1_thread.html" title="Abstract class for a thread. " alt="framework::core::Thread" shape="rect" coords="189,56,368,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,179,24"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="189,0,368,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a41feb57b95ac86e08b639a1c2621fdc3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41feb57b95ac86e08b639a1c2621fdc3"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>AltitudeMode_t</b> { <b>Manual</b>, 
<b>Custom</b>
 }</td></tr>
<tr class="separator:a41feb57b95ac86e08b639a1c2621fdc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a4e685462c900ba310e856bae3e29c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a4e685462c900ba310e856bae3e29c5"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>OrientationMode_t</b> { <b>Manual</b>, 
<b>Custom</b>
 }</td></tr>
<tr class="separator:a3a4e685462c900ba310e856bae3e29c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07dc15c60eb144bb431308126501235d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a07dc15c60eb144bb431308126501235d"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>ThrustMode_t</b> { <b>Default</b>, 
<b>Custom</b>
 }</td></tr>
<tr class="separator:a07dc15c60eb144bb431308126501235d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5deb9200d641c357177140cd1db341d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab5deb9200d641c357177140cd1db341d"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>TorqueMode_t</b> { <b>Default</b>, 
<b>Custom</b>
 }</td></tr>
<tr class="separator:ab5deb9200d641c357177140cd1db341d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5bde41fc5c0c91288b66ff374b3fdb2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac5bde41fc5c0c91288b66ff374b3fdb2"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>Event_t</b> { <br />
&#160;&#160;<b>EnteringFailSafeMode</b>, 
<b>EnteringControlLoop</b>, 
<b>StartLanding</b>, 
<b>FinishLanding</b>, 
<br />
&#160;&#160;<b>Stopped</b>, 
<b>TakingOff</b>, 
<b>EmergencyStop</b>, 
<b>Stabilized</b>, 
<br />
&#160;&#160;<b>ZTrajectoryFinished</b>
<br />
 }</td></tr>
<tr class="separator:ac5bde41fc5c0c91288b66ff374b3fdb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classframework_1_1meta_1_1_uav_chooser"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1meta_1_1_uav_chooser')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1meta_1_1_uav_chooser.html">framework::meta::UavChooser</a></td></tr>
<tr class="memitem:a55037f5f4dcfcc0fbb9e5757bc09bc0a inherit pub_types_classframework_1_1meta_1_1_uav_chooser"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a55037f5f4dcfcc0fbb9e5757bc09bc0a"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>VRPNType_t</b> { <br />
&#160;&#160;<b>None</b>, 
<b>Auto</b>, 
<b>AutoIP</b>, 
<b>UserDefinedIP</b>, 
<br />
&#160;&#160;<b>AutoSerialPort</b>
<br />
 }</td></tr>
<tr class="separator:a55037f5f4dcfcc0fbb9e5757bc09bc0a inherit pub_types_classframework_1_1meta_1_1_uav_chooser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5c83a07286c52ce6a59049953c04ae09"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c83a07286c52ce6a59049953c04ae09"></a>
AltitudeMode_t const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetAltitudeMode</b> (void)</td></tr>
<tr class="separator:a5c83a07286c52ce6a59049953c04ae09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d81015eb16abf0a70bd2740d897637a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d81015eb16abf0a70bd2740d897637a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>SetAltitudeMode</b> (AltitudeMode_t const &amp;_altitudeMode)</td></tr>
<tr class="separator:a5d81015eb16abf0a70bd2740d897637a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87a8035d6e45d98ffbbb9464c3132138"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87a8035d6e45d98ffbbb9464c3132138"></a>
OrientationMode_t const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetOrientationMode</b> (void)</td></tr>
<tr class="separator:a87a8035d6e45d98ffbbb9464c3132138"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e9a99cb9ac24304b3cb26744416321b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5e9a99cb9ac24304b3cb26744416321b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>SetOrientationMode</b> (OrientationMode_t const &amp;_orientationMode)</td></tr>
<tr class="separator:a5e9a99cb9ac24304b3cb26744416321b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1b20ebfba50ba36debd0243539c9dbc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1b20ebfba50ba36debd0243539c9dbc"></a>
ThrustMode_t const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetThrustMode</b> ()</td></tr>
<tr class="separator:aa1b20ebfba50ba36debd0243539c9dbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44f130fc5372b1762a7377697337ae61"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a44f130fc5372b1762a7377697337ae61"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>SetThrustMode</b> (ThrustMode_t const &amp;_thrustMode)</td></tr>
<tr class="separator:a44f130fc5372b1762a7377697337ae61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a433d45f7b1efb2202b2973bce4360f96"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a433d45f7b1efb2202b2973bce4360f96"></a>
TorqueMode_t const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetTorqueMode</b> (void)</td></tr>
<tr class="separator:a433d45f7b1efb2202b2973bce4360f96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9be462f845f49967f41efbaa4d55715"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af9be462f845f49967f41efbaa4d55715"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>SetTorqueMode</b> (TorqueMode_t const &amp;_torqueMode)</td></tr>
<tr class="separator:af9be462f845f49967f41efbaa4d55715"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a134927d534247e4302811d3cfc8024"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a134927d534247e4302811d3cfc8024"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MetaUav</b> (<a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name, std::string uav_type, VRPNType_t VRPNType=None, int VRPNSerialObjectId=0, uint16_t ds3_port=20000, <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex=NULL)</td></tr>
<tr class="separator:a9a134927d534247e4302811d3cfc8024"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5c82a6c81175b54987dcd925b396a59"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af5c82a6c81175b54987dcd925b396a59"></a>
<a class="el" href="classframework_1_1core_1_1_euler.html">core::Euler</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetCurrentAngles</b> (void)</td></tr>
<tr class="separator:af5c82a6c81175b54987dcd925b396a59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a886caafe3eb5fcabb3d9e74c10121f0d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a886caafe3eb5fcabb3d9e74c10121f0d"></a>
<a class="el" href="classframework_1_1core_1_1_point3_d.html">core::Point3D</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetCurrentAngularSpeed</b> (void)</td></tr>
<tr class="separator:a886caafe3eb5fcabb3d9e74c10121f0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1meta_1_1_uav_chooser"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1meta_1_1_uav_chooser')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1meta_1_1_uav_chooser.html">framework::meta::UavChooser</a></td></tr>
<tr class="memitem:aa4335bcfa12396d39e69728692d9dd1a inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa4335bcfa12396d39e69728692d9dd1a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>UavChooser</b> (<a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string uav_name, std::string uav_type, VRPNType_t VRPNType=None, int VRPNSerialObjectId=0, <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex=NULL)</td></tr>
<tr class="separator:aa4335bcfa12396d39e69728692d9dd1a inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51d5efdab7d099ffef01ac220b4f3baa inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a51d5efdab7d099ffef01ac220b4f3baa"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>StartSensors</b> (void)</td></tr>
<tr class="separator:a51d5efdab7d099ffef01ac220b4f3baa inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a501c8ae949b8687d3b8cc6c08d3a027c inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a501c8ae949b8687d3b8cc6c08d3a027c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>UseDefaultPlot</b> (void)</td></tr>
<tr class="separator:a501c8ae949b8687d3b8cc6c08d3a027c inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0495d392b00d58a0e809794d7dbca8e inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae0495d392b00d58a0e809794d7dbca8e"></a>
<a class="el" href="classframework_1_1actuator_1_1_bldc.html">actuator::Bldc</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetBldc</b> (void) const </td></tr>
<tr class="separator:ae0495d392b00d58a0e809794d7dbca8e inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7bbd4403a7f297cd1bfa6fa51af18b6 inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af7bbd4403a7f297cd1bfa6fa51af18b6"></a>
<a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetUavMultiplex</b> (void) const </td></tr>
<tr class="separator:af7bbd4403a7f297cd1bfa6fa51af18b6 inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc56f5052a650bddd574c047d9000b15 inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc56f5052a650bddd574c047d9000b15"></a>
<a class="el" href="classframework_1_1sensor_1_1_imu.html">sensor::Imu</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetImu</b> (void) const </td></tr>
<tr class="separator:acc56f5052a650bddd574c047d9000b15 inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4bc33ff3660d20ee3295c9bb9ae0d64 inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae4bc33ff3660d20ee3295c9bb9ae0d64"></a>
<a class="el" href="classframework_1_1filter_1_1_ahrs.html">filter::Ahrs</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetAhrs</b> (void) const </td></tr>
<tr class="separator:ae4bc33ff3660d20ee3295c9bb9ae0d64 inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a706e40d56f1d43e874f5718e2f06c55f inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a706e40d56f1d43e874f5718e2f06c55f"></a>
<a class="el" href="classframework_1_1meta_1_1_meta_us_range_finder.html">MetaUsRangeFinder</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetMetaUsRangeFinder</b> (void) const </td></tr>
<tr class="separator:a706e40d56f1d43e874f5718e2f06c55f inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ecbb55305b14070aeb93bbf54a04237 inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7ecbb55305b14070aeb93bbf54a04237"></a>
<a class="el" href="classframework_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetBatteryMonitor</b> (void) const </td></tr>
<tr class="separator:a7ecbb55305b14070aeb93bbf54a04237 inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2c3f9a84f368cda24872af0c45cff24 inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2c3f9a84f368cda24872af0c45cff24"></a>
<a class="el" href="classframework_1_1sensor_1_1_vrpn_client.html">sensor::VrpnClient</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetVrpnClient</b> (void) const </td></tr>
<tr class="separator:ac2c3f9a84f368cda24872af0c45cff24 inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22e751ffb265e77e2836b7aa2d5203d7 inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22e751ffb265e77e2836b7aa2d5203d7"></a>
<a class="el" href="classframework_1_1meta_1_1_meta_vrpn_object.html">meta::MetaVrpnObject</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetVrpnObject</b> (void) const </td></tr>
<tr class="separator:a22e751ffb265e77e2836b7aa2d5203d7 inherit pub_methods_classframework_1_1meta_1_1_uav_chooser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_thread')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td></tr>
<tr class="memitem:ade8360f01a17c3c59a8fcfa8a67af4e9 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#ade8360f01a17c3c59a8fcfa8a67af4e9">Thread</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name, uint8_t priority)</td></tr>
<tr class="memdesc:ade8360f01a17c3c59a8fcfa8a67af4e9 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ade8360f01a17c3c59a8fcfa8a67af4e9">More...</a><br /></td></tr>
<tr class="separator:ade8360f01a17c3c59a8fcfa8a67af4e9 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27a72866b343b8734fd4427515d1e38f inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a27a72866b343b8734fd4427515d1e38f">~Thread</a> ()</td></tr>
<tr class="memdesc:a27a72866b343b8734fd4427515d1e38f inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a27a72866b343b8734fd4427515d1e38f">More...</a><br /></td></tr>
<tr class="separator:a27a72866b343b8734fd4427515d1e38f inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeea6854b038e4cc558dfb8dbfc6f47fd inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#aeea6854b038e4cc558dfb8dbfc6f47fd">Start</a> (void)</td></tr>
<tr class="memdesc:aeea6854b038e4cc558dfb8dbfc6f47fd inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start the thread.  <a href="#aeea6854b038e4cc558dfb8dbfc6f47fd">More...</a><br /></td></tr>
<tr class="separator:aeea6854b038e4cc558dfb8dbfc6f47fd inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd61dc2aef8db4619f5d65eb0aca3d40 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#acd61dc2aef8db4619f5d65eb0aca3d40">SafeStop</a> (void)</td></tr>
<tr class="memdesc:acd61dc2aef8db4619f5d65eb0aca3d40 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a stop flag.  <a href="#acd61dc2aef8db4619f5d65eb0aca3d40">More...</a><br /></td></tr>
<tr class="separator:acd61dc2aef8db4619f5d65eb0aca3d40 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a540728357836b08054eb1d2c659ce0e1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a540728357836b08054eb1d2c659ce0e1">ToBeStopped</a> (void) const </td></tr>
<tr class="memdesc:a540728357836b08054eb1d2c659ce0e1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a stop flag.  <a href="#a540728357836b08054eb1d2c659ce0e1">More...</a><br /></td></tr>
<tr class="separator:a540728357836b08054eb1d2c659ce0e1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74b2dd5fda4079a47f67d89b832a02d1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a74b2dd5fda4079a47f67d89b832a02d1">Join</a> (void)</td></tr>
<tr class="memdesc:a74b2dd5fda4079a47f67d89b832a02d1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Join the thread.  <a href="#a74b2dd5fda4079a47f67d89b832a02d1">More...</a><br /></td></tr>
<tr class="separator:a74b2dd5fda4079a47f67d89b832a02d1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7aefccd25fe4a0dd6fa76d03090b9bb2 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a7aefccd25fe4a0dd6fa76d03090b9bb2">SetPeriodUS</a> (uint32_t period_us)</td></tr>
<tr class="memdesc:a7aefccd25fe4a0dd6fa76d03090b9bb2 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the period in micro second.  <a href="#a7aefccd25fe4a0dd6fa76d03090b9bb2">More...</a><br /></td></tr>
<tr class="separator:a7aefccd25fe4a0dd6fa76d03090b9bb2 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d7e006f50eb03f350c251ad7b0a8924 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a3d7e006f50eb03f350c251ad7b0a8924">SetPeriodMS</a> (uint32_t period_ms)</td></tr>
<tr class="memdesc:a3d7e006f50eb03f350c251ad7b0a8924 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the period in milli second.  <a href="#a3d7e006f50eb03f350c251ad7b0a8924">More...</a><br /></td></tr>
<tr class="separator:a3d7e006f50eb03f350c251ad7b0a8924 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb56b9c909587242815270979452f38e inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#afb56b9c909587242815270979452f38e">IsPeriodSet</a> (void)</td></tr>
<tr class="memdesc:afb56b9c909587242815270979452f38e inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the period in milli second.  <a href="#afb56b9c909587242815270979452f38e">More...</a><br /></td></tr>
<tr class="separator:afb56b9c909587242815270979452f38e inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3aa7c62bf562cb4211b79e1d25eaad8b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a3aa7c62bf562cb4211b79e1d25eaad8b">WaitPeriod</a> (void) const </td></tr>
<tr class="memdesc:a3aa7c62bf562cb4211b79e1d25eaad8b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait the period.  <a href="#a3aa7c62bf562cb4211b79e1d25eaad8b">More...</a><br /></td></tr>
<tr class="separator:a3aa7c62bf562cb4211b79e1d25eaad8b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62d15f694800dc4ac777fbbb57890228 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a62d15f694800dc4ac777fbbb57890228">WaitUpdate</a> (const <a class="el" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:a62d15f694800dc4ac777fbbb57890228 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait update of an <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>.  <a href="#a62d15f694800dc4ac777fbbb57890228">More...</a><br /></td></tr>
<tr class="separator:a62d15f694800dc4ac777fbbb57890228 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9c6b84365e82242f6066d15b783e59c inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#af9c6b84365e82242f6066d15b783e59c">Suspend</a> (void)</td></tr>
<tr class="memdesc:af9c6b84365e82242f6066d15b783e59c inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Susepnd the thread.  <a href="#af9c6b84365e82242f6066d15b783e59c">More...</a><br /></td></tr>
<tr class="separator:af9c6b84365e82242f6066d15b783e59c inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a998454819371b74a979ac4e5ba362c51 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a998454819371b74a979ac4e5ba362c51">Resume</a> (void)</td></tr>
<tr class="memdesc:a998454819371b74a979ac4e5ba362c51 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resume the thread.  <a href="#a998454819371b74a979ac4e5ba362c51">More...</a><br /></td></tr>
<tr class="separator:a998454819371b74a979ac4e5ba362c51 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02931f74dbd44574c48a48ef0101164b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a02931f74dbd44574c48a48ef0101164b">IsSuspended</a> (void) const </td></tr>
<tr class="memdesc:a02931f74dbd44574c48a48ef0101164b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is the thread suspended?  <a href="#a02931f74dbd44574c48a48ef0101164b">More...</a><br /></td></tr>
<tr class="separator:a02931f74dbd44574c48a48ef0101164b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a231938b0e81bd51f7e7e8f11b8bf45d6 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a231938b0e81bd51f7e7e8f11b8bf45d6">SleepUntil</a> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> time) const </td></tr>
<tr class="memdesc:a231938b0e81bd51f7e7e8f11b8bf45d6 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep until absolute time.  <a href="#a231938b0e81bd51f7e7e8f11b8bf45d6">More...</a><br /></td></tr>
<tr class="separator:a231938b0e81bd51f7e7e8f11b8bf45d6 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab40474f0d841d2854587bd44ec776171 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#ab40474f0d841d2854587bd44ec776171">SleepUS</a> (uint32_t time_us) const </td></tr>
<tr class="memdesc:ab40474f0d841d2854587bd44ec776171 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep for a cartain time in micro second.  <a href="#ab40474f0d841d2854587bd44ec776171">More...</a><br /></td></tr>
<tr class="separator:ab40474f0d841d2854587bd44ec776171 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bdbf5a2c9d82a562436e9ae7e5ea4b1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a5bdbf5a2c9d82a562436e9ae7e5ea4b1">SleepMS</a> (uint32_t time_ms) const </td></tr>
<tr class="memdesc:a5bdbf5a2c9d82a562436e9ae7e5ea4b1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep for a cartain time in milli second.  <a href="#a5bdbf5a2c9d82a562436e9ae7e5ea4b1">More...</a><br /></td></tr>
<tr class="separator:a5bdbf5a2c9d82a562436e9ae7e5ea4b1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a7ba97f29f3643bc9c82d3699325e6f32"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7ba97f29f3643bc9c82d3699325e6f32"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Land</b> (void)</td></tr>
<tr class="separator:a7ba97f29f3643bc9c82d3699325e6f32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af92ac5726882b7bbd6d638d068146cba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af92ac5726882b7bbd6d638d068146cba"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>TakeOff</b> (void)</td></tr>
<tr class="separator:af92ac5726882b7bbd6d638d068146cba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2074e85a9f2e8e8282851ea6c24904c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2074e85a9f2e8e8282851ea6c24904c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>EmergencyStop</b> (void)</td></tr>
<tr class="separator:ac2074e85a9f2e8e8282851ea6c24904c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea630b081555aae3ef4072435a46c527"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1meta_1_1_meta_uav.html#aea630b081555aae3ef4072435a46c527">SignalEvent</a> (Event_t event)</td></tr>
<tr class="memdesc:aea630b081555aae3ef4072435a46c527"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used to signal an event.  <a href="#aea630b081555aae3ef4072435a46c527">More...</a><br /></td></tr>
<tr class="separator:aea630b081555aae3ef4072435a46c527"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad46a4375f8fba80e3da2eb1443c0632c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad46a4375f8fba80e3da2eb1443c0632c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>AhrsValues</b> (<a class="el" href="classframework_1_1core_1_1_euler.html">core::Euler</a> &amp;angles, <a class="el" href="classframework_1_1core_1_1_point3_d.html">core::Point3D</a> &amp;angularSpeed)</td></tr>
<tr class="separator:ad46a4375f8fba80e3da2eb1443c0632c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1736f8666230046548528934fbdc510c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1736f8666230046548528934fbdc510c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>AltitudeValues</b> (float &amp;z, float &amp;dz)</td></tr>
<tr class="separator:a1736f8666230046548528934fbdc510c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30b52ed2f68360cea126311c06c62c5d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30b52ed2f68360cea126311c06c62c5d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>EnterFailSafeMode</b> (void)</td></tr>
<tr class="separator:a30b52ed2f68360cea126311c06c62c5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b5476f155901139cbcc81bee37f1460"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6b5476f155901139cbcc81bee37f1460"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>ExitFailSafeMode</b> (void)</td></tr>
<tr class="separator:a6b5476f155901139cbcc81bee37f1460"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1646a3445748e4ff6e4cecd6c89a4df"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1646a3445748e4ff6e4cecd6c89a4df"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>FailSafeAhrsValues</b> (<a class="el" href="classframework_1_1core_1_1_euler.html">core::Euler</a> &amp;angles, <a class="el" href="classframework_1_1core_1_1_point3_d.html">core::Point3D</a> &amp;angularSpeed)</td></tr>
<tr class="separator:aa1646a3445748e4ff6e4cecd6c89a4df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6211f239f5f8319bf3749fe00fa3efdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6211f239f5f8319bf3749fe00fa3efdb"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>FailSafeAltitudeValues</b> (float &amp;z, float &amp;dz)</td></tr>
<tr class="separator:a6211f239f5f8319bf3749fe00fa3efdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80af0db56e411d60021fedff32a7c4dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a80af0db56e411d60021fedff32a7c4dc"></a>
<a class="el" href="classframework_1_1gui_1_1_grid_layout.html">gui::GridLayout</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetButtonsLayout</b> (void) const </td></tr>
<tr class="separator:a80af0db56e411d60021fedff32a7c4dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a581d7d99c851a6767dfe612a64e325b4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a581d7d99c851a6767dfe612a64e325b4"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>ExtraSecurityCheck</b> (void)</td></tr>
<tr class="separator:a581d7d99c851a6767dfe612a64e325b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe29242d52de3b928e50da4aa2ce7c67"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe29242d52de3b928e50da4aa2ce7c67"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>ExtraCheckJoystick</b> (void)</td></tr>
<tr class="separator:abe29242d52de3b928e50da4aa2ce7c67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f004fe190352f1487f05412196dcc96"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f004fe190352f1487f05412196dcc96"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>ExtraCheckPushButton</b> (void)</td></tr>
<tr class="separator:a5f004fe190352f1487f05412196dcc96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2407870f55e5f8d8335da953a042586"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab2407870f55e5f8d8335da953a042586"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>GetDefaultReferenceAltitude</b> (float &amp;refAltitude, float &amp;refVerticalVelocity)</td></tr>
<tr class="separator:ab2407870f55e5f8d8335da953a042586"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd151494baff32eb612956b718128a5a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd151494baff32eb612956b718128a5a"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>GetReferenceAltitude</b> (float &amp;refAltitude, float &amp;refVerticalVelocity)</td></tr>
<tr class="separator:afd151494baff32eb612956b718128a5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff24844f4234038ae11eb69421be47bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff24844f4234038ae11eb69421be47bc"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>GetDefaultThrust</b> (float const &amp;refAltitude, float const &amp;refVerticalVelocity, float &amp;thrust)</td></tr>
<tr class="separator:aff24844f4234038ae11eb69421be47bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a257606ae66e8d278e18ed6da36c7d9fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a257606ae66e8d278e18ed6da36c7d9fc"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>GetThrust</b> (float const &amp;refAltitude, float const &amp;refVerticalVelocity, float &amp;thrust)</td></tr>
<tr class="separator:a257606ae66e8d278e18ed6da36c7d9fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e778bc4f505fa1e1f3ce937ae9b6e9d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1e778bc4f505fa1e1f3ce937ae9b6e9d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>GetDefaultReferenceAngles</b> (<a class="el" href="classframework_1_1core_1_1_euler.html">core::Euler</a> &amp;refAngles)</td></tr>
<tr class="separator:a1e778bc4f505fa1e1f3ce937ae9b6e9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34be7960212b29cc40810faa30d53a84"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a34be7960212b29cc40810faa30d53a84"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>GetReferenceAngles</b> (<a class="el" href="classframework_1_1core_1_1_euler.html">core::Euler</a> &amp;refAngles)</td></tr>
<tr class="separator:a34be7960212b29cc40810faa30d53a84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80ebd6c7cf0c96f49c92b21f4dfac7de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a80ebd6c7cf0c96f49c92b21f4dfac7de"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>GetDefaultTorques</b> (<a class="el" href="classframework_1_1core_1_1_euler.html">core::Euler</a> const &amp;refAngles, <a class="el" href="classframework_1_1core_1_1_euler.html">core::Euler</a> &amp;torques)</td></tr>
<tr class="separator:a80ebd6c7cf0c96f49c92b21f4dfac7de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd4c687b1a67b583813595f4603f73ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd4c687b1a67b583813595f4603f73ad"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>GetTorques</b> (<a class="el" href="classframework_1_1core_1_1_euler.html">core::Euler</a> const &amp;refAngles, <a class="el" href="classframework_1_1core_1_1_euler.html">core::Euler</a> &amp;torques)</td></tr>
<tr class="separator:afd4c687b1a67b583813595f4603f73ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a675a960083b0373730dab00e6d294565"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a675a960083b0373730dab00e6d294565"></a>
<a class="el" href="classframework_1_1meta_1_1_meta_dual_shock3.html">MetaDualShock3</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>joy</b></td></tr>
<tr class="separator:a675a960083b0373730dab00e6d294565"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16d5b672f199d385f6fbbfc301c83664"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16d5b672f199d385f6fbbfc301c83664"></a>
<a class="el" href="classframework_1_1gui_1_1_tab.html">gui::Tab</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>setup_law_tab</b></td></tr>
<tr class="separator:a16d5b672f199d385f6fbbfc301c83664"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7826c749e6bf57de005981880e58bffa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7826c749e6bf57de005981880e58bffa"></a>
<a class="el" href="classframework_1_1gui_1_1_tab.html">gui::Tab</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>graph_law_tab</b></td></tr>
<tr class="separator:a7826c749e6bf57de005981880e58bffa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classframework_1_1meta_1_1_uav_chooser"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classframework_1_1meta_1_1_uav_chooser')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classframework_1_1meta_1_1_uav_chooser.html">framework::meta::UavChooser</a></td></tr>
<tr class="memitem:a7e06eec44cbd9f1722558d82f828b691 inherit pro_attribs_classframework_1_1meta_1_1_uav_chooser"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7e06eec44cbd9f1722558d82f828b691"></a>
<a class="el" href="classframework_1_1sensor_1_1_camera.html">sensor::Camera</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>verticalCamera</b></td></tr>
<tr class="separator:a7e06eec44cbd9f1722558d82f828b691 inherit pro_attribs_classframework_1_1meta_1_1_uav_chooser"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_classframework_1_1core_1_1_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classframework_1_1core_1_1_thread')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td></tr>
<tr class="memitem:a6c6e2c6e3c7b8e5b9730a21eb175c193 inherit pub_static_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a6c6e2c6e3c7b8e5b9730a21eb175c193">WarnUponSwitches</a> (bool enable)</td></tr>
<tr class="memdesc:a6c6e2c6e3c7b8e5b9730a21eb175c193 inherit pub_static_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Warn if real time / non real time switches occur.  <a href="#a6c6e2c6e3c7b8e5b9730a21eb175c193">More...</a><br /></td></tr>
<tr class="separator:a6c6e2c6e3c7b8e5b9730a21eb175c193 inherit pub_static_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Meta class for UAV. </p>
<p>thread synchronized with ahrs, unless a period is set with SetPeriodUS or SetPeriodMS </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aea630b081555aae3ef4072435a46c527"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void framework::meta::MetaUav::SignalEvent </td>
          <td>(</td>
          <td class="paramtype">Event_t&#160;</td>
          <td class="paramname"><em>event</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Used to signal an event. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">event</td><td>the event which occured </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1meta.html">meta</a></li><li class="navelem"><a class="el" href="classframework_1_1meta_1_1_meta_uav.html">MetaUav</a></li>
    <li class="footer">Generated on Fri Feb 5 2016 14:55:06 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
